# Uses of Enum Class
javafx.scene.input.TransferMode

Packages that use TransferMode
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of TransferMode in javafx.scene

Methods in javafx.scene with parameters of type TransferMode
Modifier and Type
Method
Description
`Dragboard`
Node.`startDragAndDrop(TransferMode... transferModes)`
Confirms a potential drag and drop gesture that is recognized over this `Node`.
`Dragboard`
Scene.`startDragAndDrop(TransferMode... transferModes)`
Confirms a potential drag and drop gesture that is recognized over this `Scene`.

## Uses of TransferMode in javafx.scene.input

Fields in javafx.scene.input declared as TransferMode
Modifier and Type
Field
Description
`static final TransferMode[]`
TransferMode.`ANY`
Array containing all transfer modes.
`static final TransferMode[]`
TransferMode.`COPY_OR_MOVE`
Array containing transfer modes COPY and MOVE.
`static final TransferMode[]`
TransferMode.`NONE`
Empty array of transfer modes.
Methods in javafx.scene.input that return TransferMode
Modifier and Type
Method
Description
`final TransferMode`
DragEvent.`getAcceptedTransferMode()`
Gets transfer mode accepted by potential target.
`final TransferMode`
DragEvent.`getTransferMode()`
Data transfer mode.
`static TransferMode`
TransferMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransferMode[]`
TransferMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.input that return types with arguments of type TransferMode
Modifier and Type
Method
Description
`final Set<TransferMode>`
Dragboard.`getTransferModes()`
Gets set of transport modes supported by source of this drag opeation.
Methods in javafx.scene.input with parameters of type TransferMode
Modifier and Type
Method
Description
`void`
DragEvent.`acceptTransferModes(TransferMode... transferModes)`
Accepts this `DragEvent`, choosing the transfer mode for the drop operation.
Constructors in javafx.scene.input with parameters of type TransferMode
Modifier
Constructor
Description
``
`DragEvent(Object source, EventTarget target, EventType<DragEvent> eventType, Dragboard dragboard, double x, double y, double screenX, double screenY, TransferMode transferMode, Object gestureSource, Object gestureTarget, PickResult pickResult)`
Constructs new DragEvent event.
``
`DragEvent(EventType<DragEvent> eventType, Dragboard dragboard, double x, double y, double screenX, double screenY, TransferMode transferMode, Object gestureSource, Object gestureTarget, PickResult pickResult)`
Constructs new DragEvent event with empty source and target.